Bug 189017 - magic doesn't know about OCFS or ASM
magic doesn't know about OCFS or ASM
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: file (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-04-14 15:09 EDT by Aaron Botsis
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch and specfile patch for RHEL3 (1.06 KB, patch)
2006-04-14 15:09 EDT, Aaron Botsis
no flags Details | Diff

  None (edit)
Description Aaron Botsis 2006-04-14 15:09:46 EDT
Description of problem:

File's included magic doesn't know about Oracle Clustered Filesystem or Automated Storage Manager 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create ASM or OCFS device/filesystem
2. Run file -s on the device
Actual results:

File thinks it's "data"

Expected results:

File should know it's OCFS or ASM, like this:

/dev/sdr1:       Oracle ASM Volume, Disk Name: DISK7
/dev/sdaa1:      Oracle Clustered Filesystem, rev 1.2, label: orarega01, mountpoint: /oradata/orarega01

Additional info:

patch and specfile patch included for RHEL3
Comment 1 Aaron Botsis 2006-04-14 15:09:47 EDT
Created attachment 127758 [details]
patch and specfile patch for RHEL3
Comment 2 Radek Vokal 2006-04-21 07:43:23 EDT
Applied on rawhide, RHEL3 proposed list is currently closed, so I'll add this as
soon as new schedule for next update will be out. 
Comment 3 RHEL Product and Program Management 2007-10-19 14:45:17 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.